Subject: bug#12006: closed (Re: bug#12006: 24.1.50; modeline dragging fails with window autoselection)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Jul 2012 12:38:02 +0000

Your bug report

#12006: 24.1.50; modeline dragging fails with window autoselection

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12006: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12006
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12006: 24.1.50; modeline dragging fails with window autoselection
From: martin rudalics <[email-masked]>
To: [email-masked]
Date: Thu, 26 Jul 2012 14:30:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> This change
> 
> revno: 108951
> fixes bug(s): http://debbugs.gnu.org/374
> committer: Chong Yidong <[email-masked]>
> branch nick: trunk
> timestamp: Sun 2012-07-08 16:26:21 +0800
> message:
>   Fix interaction of line-dragging with mouse-1-click-follows-link.
> 
>   * lisp/mouse.el (mouse-drag-line): Rewrite the track-mouse loop.
>   Implement the mouse-1-click-follows-link handling properly.
> 
> has broken line dragging with window autoselection.
> 
> To reproduce with emacs -Q do
> 
> (setq mouse-autoselect-window -0.5)
> 
> C-x 2
> 
> Here I can drag the separating modeline upwards only.  Dragging it
> downwards fails, probably because the lower window gets selected in the
> course.  I'm not sure how and where to fix this.

Fixed in revision 109214.

martin

Subject: 24.1.50; modeline dragging fails with window autoselection
From: martin rudalics <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Sat, 21 Jul 2012 13:03:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This change

revno: 108951
fixes bug(s): http://debbugs.gnu.org/374
committer: Chong Yidong <[email-masked]>
branch nick: trunk
timestamp: Sun 2012-07-08 16:26:21 +0800
message:
   Fix interaction of line-dragging with mouse-1-click-follows-link.

   * lisp/mouse.el (mouse-drag-line): Rewrite the track-mouse loop.
   Implement the mouse-1-click-follows-link handling properly.

has broken line dragging with window autoselection.

To reproduce with emacs -Q do

(setq mouse-autoselect-window -0.5)

C-x 2

Here I can drag the separating modeline upwards only.  Dragging it
downwards fails, probably because the lower window gets selected in the
course.  I'm not sure how and where to fix this.

martin

In GNU Emacs 24.1.50.1 (i386-mingw-nt5.1.2600)
  of 2012-07-19 on MACHNO
Bzr revision: 109155 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
  `configure --with-gcc (4.6) --no-opt'